#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: reflection
version: 1.5.1
id: reflection-1.5.1-e781cdf3179931dd11936b0a5ba72d6c

license: BSD3
copyright: 2009-2013 Edward A. Kmett,
           2012 Elliott Hird,
           2004 Oleg Kiselyov and Chung-chieh Shan
maintainer: Edward A. Kmett <ekmett@gmail.com>
stability: experimental
homepage: http://github.com/ekmett/reflection
package-url:
synopsis: Reifies arbitrary terms into types that can be reflected back into terms
description: This package provides an implementation of the ideas presented in the paper
             \"Functional Pearl: Implicit Configurations\" by Oleg Kiselyov and
             Chung-chieh Shan. However, the API has been streamlined to improve performance.
             .
             The original paper can be obtained from
             <http://www.cs.rutgers.edu/~ccshan/prepose/prepose.pdf>.
             .
             For a summary of the approach taken by this library, along with more motivating
             examples, see Austin Seipp'\''s tutorial at
             <https://www.fpcomplete.com/user/thoughtpolice/using-reflection>.
category: Data, Reflection, Dependent Types
author: Edward A. Kmett, Elliott Hird, Oleg Kiselyov and Chung-chieh Shan
exposed: True
exposed-modules: Data.Reflection
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/reflection-1.5.1
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/reflection-1.5.1
              /usr/local/lib
hs-libraries: HSreflection-1.5.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         template-haskell-2.9.0.0-209b23d5bd6678f5bc383f0d56742080
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/reflection-1.5.1/html/reflection.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/reflection-1.5.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
